import React from 'react';
import { IInputProps } from 'native-base';
import type { Mask } from '../Masks/formatWithMask.types';
interface InputProps extends IInputProps {
    name: string;
    label: string;
    errorInfo?: string | string[];
    isRequired?: boolean;
    mask?: Mask | ((text: string) => Mask);
    initialValue?: string;
    setFieldValue: any;
    setFieldTouched: any;
    touched?: boolean;
    maskLength?: number;
    ErrorBox?: (errorInfo: any) => JSX.Element;
}
declare const _default: React.MemoExoticComponent<({ name, label, errorInfo, isRequired, setFieldValue, mask, initialValue, setFieldTouched, touched, maskLength, ErrorBox, ...rest }: InputProps) => JSX.Element>;
export default _default;
//# sourceMappingURL=Input.d.ts.map