import type { IStyleProps } from './IStyleProps';

const styles: IStyleProps = {
  leftAddon: {
    style: {
      width: '13%',
      borderTopLeftRadius: 5,
      borderBottomLeftRadius: 5,
    },
  },

  prefix: {
    style: {
      fontWeight: 'bold',
    },
  },

  input: {
    width: '87%',
  },

  iconHelp: {
    style: {
      fontSize: 20,
      marginRight: 4,
    },
  },
};

export default styles;
