"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _formatWithMask = _interopRequireDefault(require("./formatWithMask"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
const maskField = _ref => {
  let {
    text = '',
    mask
  } = _ref;
  let maskData = {
    masked: text,
    unmasked: text,
    obfuscated: text
  };
  if (mask && text) {
    const maskUtil = typeof mask === 'function' ? mask(text) : mask;
    const maskResult = (0, _formatWithMask.default)({
      text,
      mask: maskUtil
    });
    maskData = Object.assign(maskData, maskResult);
  }
  return maskData;
};
var _default = maskField;
exports.default = _default;
//# sourceMappingURL=maskField.js.map